
SELinux - Bug #6780

Unable to remove foreman-selinux

07/25/2014 02:23 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123381 Red Hat JIRA:  

Pull request:    

Description

We forgot to remove all ports before uninstall.

Running Transaction

  Erasing    : foreman-selinux-1.6.0-0.develop.201406261522git5532684.el6.noarch                  

                         1/1 

libsepol.context_from_record: type elasticsearch_port_t is not defined (No such file or directory)

.

libsepol.context_from_record: could not create context structure (Invalid argument).

libsepol.port_from_record: could not create port structure for range 9200:9300 (tcp) (Invalid argu

ment).

libsepol.sepol_port_modify: could not load port range 9200 - 9300 (tcp) (Invalid argument).

libsemanage.dbase_policydb_modify: could not modify record value (Invalid argument).

libsemanage.semanage_base_merge_components: could not merge local modifications into policy (Inval

id argument).

/usr/sbin/semodule:  Failed!

  Verifying  : foreman-selinux-1.6.0-0.develop.201406261522git5532684.el6.noarch                  

                         1/1 

Removed:

  foreman-selinux.noarch 0:1.6.0-0.develop.201406261522git5532684.el6  

Related issues:

Related to SELinux - Bug #7388: Policy module isn't reloaded when upgrading RPM Closed 09/09/2014

Associated revisions

Revision ae6f1a69 - 08/06/2014 09:50 AM - Lukas Zapletal 

Fixes #6780 - Remove elasticsearch port on uninstall

History

#1 - 07/25/2014 09:02 AM - Lukas Zapletal

- Status changed from New to Assigned

- Bugzilla link set to 1123279

#2 - 07/25/2014 09:28 AM - Lukas Zapletal

- Bugzilla link changed from 1123279 to 1123381

#3 - 07/25/2014 10:05 AM - Lukas Zapletal

- Category set to Packaging

- Status changed from Assigned to Ready For Testing

- Assignee set to Lukas Zapletal

To fix this bug, apply both patches:
https://github.com/theforeman/foreman-selinux/pull/24

https://github.com/theforeman/foreman-packaging/pull/290

#4 - 07/28/2014 04:34 AM - Dominic Cleal

- Target version set to 1.8.0

- translation missing: en.field_release set to 10

#5 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#6 - 08/06/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ae6f1a694d6a13c32d9bdfecbbb95cd2d0bb20bd.

#7 - 09/09/2014 12:14 PM - Dominic Cleal

- Related to Bug #7388: Policy module isn't reloaded when upgrading RPM added
